% pregunta 4, laboratorio 3
% descomposición de Cholesky
% en lugar de comprobar si A es simétrica y positiva definida antes de
% llamar a chol, podría llamarse a chol con un 2do parámetro de salida que
% será distinto de cero si la matriz de entrada a chol no es simétrica y
% positiva definida
A = ones(10) + 10*diag(ones(10,1));
b = ones(10,1);
eig(A)
L = chol(A);
x1 = A\b
x2 = L\(L'\b)
norm(x1-x2)